#!/usr/bin/env ansible-playbook
---

- name: Restart hosts
  hosts: localhost

  vars:
    # change if required or override at runtime using --extra-vars
    cluster_venv:

  tasks:
    - name: Connect to the Cloud
      os_auth:

    - name: Set a fact containing the original python interpreter
      set_fact:
        old_python_interpreter: "{{ ansible_python_interpreter | default('/usr/bin/python') }}"
      when: cluster_venv != None

    - name: Set a fact to use the python interpreter in the virtualenv
      set_fact:
        ansible_python_interpreter: "{{ cluster_venv }}/bin/python"
      when: cluster_venv != None

    - name: Retrieve server list for cluster
      os_server_info:
        server: "{{ cluster_name }}*"
        filters:
          vm_state: active
      register: server_list

    - name: Server list
      debug:
        msg: "Servers={{ server_list.openstack_servers }}"

    - name: stop an instance
      os_server_action:
        action: stop
        server: "{{ item.name }}"
        timeout: 200
      with_items: "{{ server_list.openstack_servers }}"

    - name: start an instance
      os_server_action:
        action: start
        server: "{{ item.name }}"
        timeout: 200
      with_items: "{{ server_list.openstack_servers }}"
